import Config

config :pleroma, Pleroma.Web.Endpoint,
  url: [host: "social.redxen.eu", scheme: "https", port: 443],
  http: [ip: {0, 0, 0, 0}, port: 7576]

config :pleroma, :instance,
  name: "RedXen Fedi",
  email: "caskd@redxen.eu",
  notify_email: "fedi@redxen.eu",
  description: "The social center for the fediverse",
  limit: 5000,
  federating: false,
  invites_enabled: true,
  static_dir: "/var/lib/pleroma/static",
  registrations_open: false,
  max_account_fields: 10

config :pleroma, :frontend_configurations,
  pleroma_fe: %{
    theme: "redxen",
    logo: "/static/logo.png",
    logoMask: false,
    background: "/static/background.jpg",
    showFeaturesPanel: false,
    disableChat: true,
    collapseMessageWithSubject: true,
    hideSitename: true
  }

config :pleroma, :media_proxy, enabled: true

# Configure web push notifications
config :web_push_encryption, :vapid_details, subject: "mailto:fedi@redxen.eu"

config :pleroma, configurable_from_database: false
config :pleroma, :database, rum_enabled: false
config :pleroma, :chat, enabled: false
config :pleroma, :instances_favicons, enabled: true
config :pleroma, Pleroma.Uploaders.Local, uploads: "/var/lib/pleroma/uploads"

config :pleroma, :gopher,
  enabled: false,
  ip: {0, 0, 0, 0},
  port: 9999

import_config("secret.exs")
import_config("mrf.exs")
